<script setup lang="ts">
import { ref } from 'vue'
import LoadingDialog from './LoadingDialog.vue'
import type { Salary } from '@/types/Salary'
import type { VForm } from 'vuetify/components'
import { useSalaryStore } from '@/stores/salary'
import { useEmployStore } from '@/stores/employee'
import type { Employee } from '@/types/Employee'

const salaryStore = useSalaryStore()
const employeeStore = useEmployStore()
employeeStore.onMounted
const employees: Employee[] = employeeStore.Employees
const employee: Employee = employeeStore.editedEmployee
const employeeNames: string[] = employees.map((employee) => employee.name)
console.log('emp here')
console.log(employeeStore.Employees)
console.log(employeeNames)
async function salaryEmployee() {
  await salaryStore.setEmpIDName(employee)
}

</script>
<template>
  <v-dialog v-model="salaryStore.dialog" max-width="500px">
    <template v-slot:activator="{ props }">
      <v-btn style="background-color: white; margin-right: 16px" v-bind="props">New Salary </v-btn>
    </template>
    <v-card>
      <v-card-title>
        <span class="text-h5">New Salary</span>
      </v-card-title>
      <v-card-text>
        <v-form ref="refForm" v-model="salaryStore.form" @submit.prevent="salaryStore.onSubmit">
          <v-container>
            <v-row>
              <v-col cols="12" sm="12" md="4">
                <v-select :readonly="salaryStore.loading" :rules="[(v) => !!v || 'Field is required']" class="mb-2"
                  clearable label="Employee" :items="employeeNames" item-text="name"></v-select>
              </v-col>
              <v-col cols="12" sm="12" md="4">
                <v-text-field v-model="salaryStore.editedSalary.pay" :readonly="salaryStore.loading"
                  :rules="[(v) => !!v || 'Field is required']" clearable label="Pay"></v-text-field>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="salaryStore.closeDialog()">
          Close
        </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="salaryStore.save()"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
